Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.taglibs.authz
Class AuthenticationTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.acegisecurity.taglibs.authz.AuthenticationTag

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AuthenticationTag

extends javax.servlet.jsp.tagext.TagSupport

An `Tag` implementation that allows convenient access to the current `Authentication` object.

Whilst JSPs can access the `SecurityContext` directly, this tag avoids handling `null` conditions. The tag also properly accommodates `Authentication.getPrincipal()`, which can either be a `String` or a `UserDetails`.

Version:
  $Id: AuthenticationTag.java,v 1.10 2005/11/29 13:10:10 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AuthenticationTag()`

Method Summary
`int` | `doStartTag()`
`String` | `getMethodPrefix()`
`String` | `getOperation()`
`protected String` | `invokeOperation(Object obj)`
`void` | `setMethodPrefix(String methodPrefix)`
`void` | `setOperation(String operation)`
`protected void` | `validateArguments()`
`protected void` | `writeMessage(String msg)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationTag

    public AuthenticationTag()

Method Detail

### setMethodPrefix

    public void setMethodPrefix(String methodPrefix)

### getMethodPrefix

    public String getMethodPrefix()

### setOperation

    public void setOperation(String operation)

### getOperation

    public String getOperation()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### invokeOperation

    protected String invokeOperation(Object obj)
                              throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### validateArguments

    protected void validateArguments()
                              throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### writeMessage

    protected void writeMessage(String msg)
                         throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.